<template>
  <transition v-if="showModal" name="modal">
    <div class="modal-mask">
      <div class="modal-wrapper" @click.self="modalClosed">
        <div
          id="modal-content"
          class="modal-container white-popup"
          :style="'max-width: ' + width + 'px'"
        >
          <div v-if="$slots.header" class="modal-header">
            <slot name="header"></slot>
          </div>
          <div v-if="$slots.body" class="modal-body">
            <slot name="body"></slot>
          </div>
          <div v-if="$slots.footer" class="modal-footer">
            <slot name="footer"></slot>
          </div>
          <button
            v-if="closeBtn"
            title="Đóng"
            type="button"
            class="mfp-close"
            @click="showModal = false"
          >
            ×
          </button>
        </div>
      </div>
    </div>
  </transition>
</template>
<script>
import { EventBus } from '~/plugins/bus'
export default {
  name: 'ModalNotifi',
  props: {
    width: {
      type: Number,
      default: 440,
    },
    closeBtn: {
      type: Boolean,
      default: true,
    },
  },
  data() {
    return {
      showModal: false,
    }
  },
  created() {
    EventBus.$on('open-modalnoti', (el) => {
      this.showModal = el
    })
  },
  mounted() {},
  methods: {
    modalClosed() {
      this.showModal = false
    },
  },
}
</script>
